Loading...
Searching...
No Matches
pcl::ShapeContext1980 Struct Reference
Module common

A point structure representing a Shape Context. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | ShapeContext1980 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | descriptor [1980] = {0.f}
float | rf [9] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const ShapeContext1980 &p)

## Detailed Description

A point structure representing a Shape Context.

Definition at line 1319 of file point_types.hpp.

## Constructor & Destructor Documentation

## ShapeContext1980()

constexpr pcl::ShapeContext1980::ShapeContext1980 | ( |  | ) |

inline constexpr default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::ShapeContext1980::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1323 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const ShapeContext1980 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::ShapeContext1980::descriptor[1980] = {0.f}

Definition at line 1321 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< ShapeContext1980 >::copyToFloatArray().

## rf

float pcl::ShapeContext1980::rf[9] = {0.f}

Definition at line 1322 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp